/*
 * adc.c
 *
 * Created: 26/02/2016 13:56:45
 *  Author: anders
 */ 

#include <avr/io.h>

void adc_init(){
	// Enable ADC, prescaler = 128.
	ADCSRA |= (1<<ADEN)|(1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0);
	// Enable interrupts
	ADCSRA |= (1<<ADIE);
	
	// Enable AVREF connection
	ADCSRB |= (1<<AREFEN);
}

void adc_start_continous(){
	ADCSRA |= (1<<ADSC);
}

void adc_set_source(uint8_t channel){
	channel &= 0x1F;
	ADMUX = (ADMUX & 0xE0) | channel;
}

uint16_t adc_read_single(uint8_t channel){
	channel &= 0x0F;  
	ADMUX = (ADMUX & 0xE0) | channel; 
	
	ADCSRA |= (1<<ADSC); // Start conversion
	
	while(ADCSRA & (1<<ADSC)); // Wait for conversion to finish
	
	return (ADC);
}