/*
 * motor.c
 *
 * Created: 01.03.2016 17.02.07
 *  Author: Simen
 */ 

#include <sam.h>
#include <math.h>
#include <arm_math.h>
#include <stdbool.h>
#include "../utilities.h"
#include "motor.h"

Motor_data_t amk = {
	.poles		= 10,
	.lambda		= RMS(0.26),
	.R_s		= 0.13,
	.L_q		= 0.000540,
	.L_d		= 0.000440,
	.L_s		= 0.000300,
	.I_max		= 100.0,
	.Id_max		= RMS(70),
	.Id_min		= RMS(3.5),	
	.speed_max  = RPM(19200)
};

#define MOTOR amk

inline Motor_data_t *motor_get_parameter_ptr(){
	return &MOTOR;
}

uint8_t motor_get_polepairs(){
	return MOTOR.poles/2;
}

float32_t motor_get_flux_coupling(){
	return MOTOR.lambda;
}

