/*
 * phase_control.h
 *
 * Created: 01.03.2016 16.57.43
 *  Author: Simen
 */ 


#ifndef PHASE_CONTROL_H_
#define PHASE_CONTROL_H_

typedef enum{
	PHASE_A = 1,
	PHASE_B = 2,
	PHASE_C = 3,
	PHASE_ALL = 0x7
}phase_type_t;


void phase_voltage_init();
void phase_voltage_set_voltage(phase_type_t phase, float32_t phase_voltage, float32_t dc_voltage);
void phase_voltage_set_fraction(phase_type_t phase, float32_t phase_voltage);

void phase_voltage_disable_phase(phase_type_t phase);
void phase_voltage_enable_phase(phase_type_t phase);

static inline bool phase_voltage_is_new_period(){
	return PWM0->PWM_ISR1 & (PWM_ISR1_CHID0);
}

#endif /* PHASE_CONTROL_H_ */