﻿/*
 * pid.c
 *
 * Created: 4. mar 2016 15:39:15
 *  Author: Simen
 */ 

#include <sam.h>
#include <arm_math.h>
#include <stdbool.h>
#include "../utilities.h"
#include "pid.h"

bool pid_saturated(float32_t out, float32_t max, float32_t min){
	return (out >= max) || (out <= min);
}

float32_t do_pid(Pid_data_t *data, float32_t error){
#ifdef PID_AW_CLAMPING
	if(!pid_saturated(data->last_output, data->saturation_max, data->saturation_min)){
		data->integrator += error;
	}
#else
	data->integrator += error;
#endif

	
	float32_t derivate = error - data->last_input;
	
	float32_t result = ((data->settings.K_p * (error)) + (data->settings.K_i * (data->integrator)) + (data->settings.K_d * (derivate)))/data->settings.T_s;
	
	float32_t out;
	out = fminf(result, data->saturation_max);
	out = fmaxf(out, data->saturation_min);
	
#ifdef PID_AW_BACKCOUNTING
	data->integrator -= data->settings.K_antiwindup * (out - result);
#endif	
	return out;
}
