/*
 * voltageModulation.c
 *
 * Created: 05.05.2015 18:18:38
 *  Author: Kjetil
 */ 

#include <stdbool.h>


// gives out a duty cycle between 0.0 and 1.0 centered around 0.5 (where modulatedVoltages = 0 gives dutyCycle 0.5)
float voltageModulation_voltageToPwm(float modulatedVoltage, float dcVoltage, const float minDutyCycle, const float maxDutyCycle)
{
	float dutyCycle = 0.5 + (modulatedVoltage/dcVoltage)*0.5;
	
	if(dutyCycle > maxDutyCycle)
	{
		dutyCycle = maxDutyCycle;
	} else if(dutyCycle < minDutyCycle) {
		dutyCycle = minDutyCycle;
	}
		
	return dutyCycle;
}