/*
 * can.c
 *
 * Created: 08.02.2016 17.18.12
 *  Author: Simen
 */ 

#include "can.h"
#include "mcan.h"
#include <stdlib.h>

//All setup is now handled in can_init. Callback_function is called on interrupt.
void can_init(	Mcan *can, 
				enum Can_baudrate_t baudrate,
				uint32_t *accepted_standard_ids,
				uint32_t num_standard_ids, 
				uint32_t *accepted_extended_ids, 
				uint32_t num_extended_ids, 
				void (*callback_function)(uint32_t index),
				uint32_t interrupt_priority
															){
	mcan_init(can, baudrate);
	
	if(callback_function != NULL){
		mcan_enable_interrupt(can, callback_function, interrupt_priority);
	}
	
	if(num_standard_ids > 0){
		mcan_setStandardFilter(can, accepted_standard_ids, num_standard_ids);
	}	
	if(num_extended_ids > 0){
		mcan_setExtendedFilter(can, accepted_extended_ids, num_extended_ids);
	}
}

//These are just wrappers for the MCAN drivers

enum status_code can_sendMessage(Mcan *can, struct Can_message_t *message){	//NOT THREADSAFE
	return mcan_sendMessage(can, message);
}
void can_getMessage(Mcan *can, struct Can_message_t *message, uint32_t buffer_index){ //NOT THREADSAFE
	mcan_getMessage(can, message, buffer_index);
}