/*
 * can_types.h
 *
 * Created: 08.02.2016 18.15.19
 *  Author: Simen
 */ 


#ifndef CAN_TYPES_H_
#define CAN_TYPES_H_

enum Can_baudrate_t{
	CAN_BPS_1000K,
	CAN_BPS_800K,
	CAN_BPS_500K,
	CAN_BPS_250K,
	CAN_BPS_125K,
	CAN_BPS_50K,
	CAN_BPS_25K,
	CAN_BPS_10K,
	CAN_BPS_5K
};

enum CanTXstatus {TRANSFER_OK = 0, TRANSFER_BUSY = 1};
enum CANReceiveStatus {GOT_NEW_MESSAGE = 0, NO_NEW_MESSAGE = 1};

union Can_data_t{
	//INTEGERS
	uint64_t	u64;
	int64_t		i64;
	uint32_t	u32[2];
	int32_t		i32[2];
	uint16_t	u16[4];
	int16_t		i16[4];
	uint8_t		u8[8];
	int8_t		i8[8];
	
	//FLOAT
	float		f[2];
	double		db;
};

enum Can_ID_Type_t {
	STANDARD_CAN_ID,
	EXTENDED_CAN_ID
};

struct Can_message_t{
	union Can_data_t data;
	uint8_t dataLength;
	uint32_t messageID;
	enum Can_ID_Type_t idType;
};



#endif /* CAN_TYPES_H_ */