/*
 * eefc.h
 *
 * Created: 30.01.2015 00:29:33
 *  Author: Kjetil
 */ 


#ifndef EEFC_H_
#define EEFC_H_


#include <sam.h>
#include <stddef.h>

#define _RAMFUNC  __attribute__ ((section (".ramfunc")))
#define _NO_INLINE __attribute__ ((noinline))

/*! \name EFC return codes */
typedef enum efc_rc {
	EFC_RC_OK = 0,      //!< Operation OK
	EFC_RC_YES = 0,     //!< Yes
	EFC_RC_NO = 1,      //!< No
	EFC_RC_ERROR = 1,   //!< General error
	EFC_RC_INVALID,     //!< Invalid argument input
	EFC_RC_NOT_SUPPORT = 0xFFFFFFFF //!< Operation is not supported
} efc_rc_t;

#define EEFC_ERROR_FLAGS					(~(EEFC_FSR_FRDY))
#define EEFC_FCR_COMMAND(command, argument) EEFC_FCR_FKEY_PASSWD | EEFC_FCR_FARG(argument) | EEFC_FCR_FCMD(command)


void system_init_flash( uint32_t ul_clk );
extern uint32_t eefc_perform_read_sequence(Efc *p_efc, uint32_t cmd_start, uint32_t cmd_stop,	uint32_t *buf_out, size_t size);
uint32_t eefc_run_command_and_wait(Efc *p_efc, uint32_t ul_command, uint32_t ul_argument);

#endif /* EEFC_H_ */