/*
 * flash_userPage.h
 *
 * Created: 15.02.2016 14.13.10
 *  Author: Simen
 */ 


#ifndef FLASH_USERPAGE_H_
#define FLASH_USERPAGE_H_

#include <sam.h>
#include <stddef.h>

/*! \name Flash driver return codes */
//! @{
typedef enum flash_rc {
	FLASH_RC_OK = 0,        //!< Operation OK
	FLASH_RC_YES = 1,       //!< Yes
	FLASH_RC_NO = 0,        //!< No
	FLASH_RC_ERROR = 0x10,  //!< General error
	FLASH_RC_INVALID,       //!< Invalid argument input
	FLASH_RC_NOT_SUPPORT = 0xFFFFFFFF    //!< Operation is not supported
} flash_rc_t;
//! @}

typedef union{
	uint32_t	u32;
	int32_t		i32;
	uint16_t	u16[2];
	int16_t		i16[2];
	uint8_t		u8[4];
	int8_t		i8[4];
}flash_data_t;

uint32_t flash_read_user_signature(flash_data_t *p_data, size_t size);
uint32_t flash_write_user_signature(const flash_data_t *p_buffer, size_t size);
uint32_t flash_erase_user_signature(void);



#endif /* FLASH_USERPAGE_H_ */