/*
 * usart_rs232.h
 *
 * Created: 14.02.2016 17.07.01
 *  Author: Simen
 */ 


#ifndef USART_RS232_H_
#define USART_RS232_H_
#include <sam.h>
#include <stdbool.h>

typedef enum{
	
	RS232_CHARL_5b = US_MR_CHRL_5_BIT,
	RS232_CHARL_6b = US_MR_CHRL_6_BIT,
	RS232_CHARL_7b = US_MR_CHRL_7_BIT,
	RS232_CHARL_8b = US_MR_CHRL_8_BIT
}usart_rs232_charlength_t;

typedef enum{
	RS232_PAR_EVEN	= US_MR_PAR_EVEN		,
	RS232_PAR_ODD	= US_MR_PAR_ODD			,
	RS232_PAR_SPACE	= US_MR_PAR_SPACE		,
	RS232_PAR_MARK	= US_MR_PAR_MARK		,
	RS232_PAR_NO	= US_MR_PAR_NO			,
	RS232_PAR_MULTI = US_MR_PAR_MULTIDROP
}usart_rs232_parity_t;

typedef enum{
	RS232_STOPb_1	= US_MR_NBSTOP_1_BIT	,
	RS232_STOPb_1_5	= US_MR_NBSTOP_1_5_BIT	,
	RS232_STOPb_2	= US_MR_NBSTOP_2_BIT
}usart_rs232_stopbits_t;


/* Input parameters when initializing RS232 and similar modes. */
typedef struct {
	uint32_t				 baudrate;
	usart_rs232_charlength_t char_length;
	usart_rs232_parity_t	 parity_type;
	usart_rs232_stopbits_t	 stop_bits;
	bool					 enable_hw_flowcontrol;
} usart_rs232_opt_t;

void	 usart_rs232_init(Usart *p_usart, usart_rs232_opt_t *options);

void	 usart_rs232_write_string(Usart *p_usart, const unsigned char *data, size_t len);
void	 usart_rs232_read_packet(Usart *p_usart, unsigned char *data, size_t len);

uint32_t usart_rs232_is_tx_empty(Usart *p_usart);
uint32_t usart_rs232_is_rx_ready(Usart *p_usart);
uint32_t usart_rs232_is_tx_ready(Usart *p_usart);
uint32_t usart_rs232_is_rx_full(Usart *p_usart);

#endif /* USART_RS232_H_ */