#ifndef FPU_H_
#define FPU_H_

#include <stdbool.h>
#include <stdint.h>

/** Address for ARM CPACR */
#define ADDR_CPACR 0xE000ED88
/** CPACR Register */
#define REG_CPACR (*((volatile uint32_t *)ADDR_CPACR))
/**
 * Enable FPU
 */
static void fpu_enable(void)
{
	SCB->CPACR |= ((3UL << 20) | (3UL << 22));
	//REG_CPACR |= (0xFu << 20);
}



/**
 * Disable FPU
 */
static void __attribute__((unused)) fpu_disable(void) 
{
	REG_CPACR &= ~(0xFu << 20);
}
/**
 * Check if FPU is enabled
 */
static bool __attribute__((unused)) fpu_is_enabled(void) 
{
	return (REG_CPACR & (0xFu << 20));
}



#endif /* FPU_H_ */