#ifndef XDMAC_H_INCLUDED
#define XDMAC_H_INCLUDED


#include <sam.h>

struct XdmacChannelConfig {
	uint32_t receive_channel;
	uint32_t microblock_length;
	volatile uint32_t* source_address;
	volatile uint32_t* destination_address;
	uint32_t config_register;
	uint32_t block_length;
	int32_t  mempattern_datastride;
	int32_t  source_microblock_datastride;
	int32_t  destination_microblock_datastride;
};

//Module config functions
void xdmac_configure_transfer(Xdmac *xdmac, uint32_t channel_num, volatile struct XdmacChannelConfig *p_cfg);
void xdmac_enable_interrupt(Xdmac *xdmac, uint32_t mask);
void xdmac_disable_interrupt(Xdmac *xdmac, uint32_t mask);

//Channel config functions
void xdmac_channel_enable(Xdmac *xdmac, uint32_t channel_num);
void xdmac_channel_disable(Xdmac *xdmac, uint32_t channel_num);
void xdmac_channel_software_request(Xdmac *xdmac, uint32_t channel_num);
void xdmac_channel_enable_interrupt(Xdmac *xdmac, uint32_t channel_num, uint32_t mask);
void xdmac_channel_disable_interrupt(Xdmac *xdmac, uint32_t channel_num, uint32_t mask);
uint32_t xdmac_channel_get_interrupt_mask(Xdmac *xdmac, uint32_t channel_num);
uint32_t xdmac_channel_get_interrupt_status(Xdmac *xdmac, uint32_t channel_num);
void xdmac_channel_set_destination_addr(Xdmac *xdmac, uint32_t channel_num, volatile uint32_t *dst_addr);
 void xdmac_channel_set_descriptor_addr(Xdmac *xdmac, uint32_t channel_num, volatile uint32_t *desc_addr, uint8_t ndaif);
void xdmac_channel_set_descriptor_control(Xdmac *xdmac, uint32_t channel_num, uint32_t config);


#endif /* XDMAC_H_INCLUDED */
