/*
 * sensors_adc.c
 *
 * Created: 01.03.2016 16.29.22
 *  Author: Simen
 */ 

#include <sam.h>
#include <arm_math.h>
#include "../Sam-base/RevolveDrivers/xdmac_wrapper.h"
#include "../Sam-base/RevolveDrivers/ADC/adc.h"
#include "sensors_adc.h"

struct adc_format {
	int16_t data;
	uint8_t reserved;
	uint8_t tag;
};

typedef union{
	uint32_t raw;
	struct adc_format formatted;
}sAdc_data_t;

adc_opts_t adc_settings = {
	.resolution = AFEC_12_BITS,
	.conversion_trigger = AFEC_TRIG_SOFTWARE,
	.sign_mode = AFEC_SIGN_ALL_SIGNED
};

adc_channel_opts_t adc_channels[4] = {
	[0] = {	.channel_number		= AFEC_CHANNEL_0,
		.differential_channel	= false,
		.dual_sample_hold		= false,
		.offset					= AFEC_OFFSET_AUTO_0,
		.gain					= AFEC_GAIN_1
	},
	[1] = {	.channel_number		= AFEC_CHANNEL_1,
		.differential_channel	= false,
		.dual_sample_hold		= false,
		.offset					= AFEC_OFFSET_AUTO_0,
		.gain					= AFEC_GAIN_1
	},
	[2] = {	.channel_number		= AFEC_CHANNEL_6,
		.differential_channel	= false,
		.dual_sample_hold		= true,
		.offset					= AFEC_OFFSET_AUTO_0,
		.gain					= AFEC_GAIN_1
	},
	[3] = {	.channel_number		= AFEC_CHANNEL_7,
		.differential_channel	= false,
		.dual_sample_hold		= true,
		.offset					= AFEC_OFFSET_AUTO_0,
		.gain					= AFEC_GAIN_1
	}
};

void sensors_adc_init(){
	adc_init(AFEC0, &adc_settings, adc_channels, 4);
}

int16_t sensors_adc_get_value(sensors_adc_type_t sensor){
	return adc_get_result(AFEC0, sensor);
}

void sensors_adc_start_transfer(){
	adc_start_conversion(AFEC0);
}