/*
 * sensors_current.h
 *
 * Created: 01.03.2016 13.28.15
 *  Author: Simen
 */ 


#ifndef SENSORS_CURRENT_H_
#define SENSORS_CURRENT_H_

#include <sam.h>
#include <arm_math.h>
#include "adcConversion.h"

#define CS_MAX_VOLTAGE_ADC	1.875
#define CS_SENSOR_GAIN		2
#define CS_MAX_VALUE		4096/2 //adc_get_max_val(12, true)

//Highest current in is below 300A. 300 000 can easily be represented by a 32 bit integer, and gives mA precission.

static inline int32_t sensors_current_to_mA(int16_t adc_data){
	return (1000 * adc_data * CS_MAX_VOLTAGE_ADC) / (CS_MAX_VOLTAGE_ADC * CS_SENSOR_GAIN);
}


static inline float32_t sensors_current_to_Vin(int16_t adc_data){
	return ((float32_t)(adc_data * CS_MAX_VOLTAGE_ADC)) / (CS_MAX_VOLTAGE_ADC * CS_SENSOR_GAIN);
}


static inline float32_t sensors_current_to_A(int16_t adc_data){
	return adcConversion_linearConversion(adc_data, -CS_MAX_VALUE, CS_MAX_VALUE, -132.0, 132.0);
}

#endif /* SENSORS_CURRENT_H_ */