/*
 * sensors_position.c
 *
 * Created: 01.03.2016 13.27.38
 *  Author: Simen
 */ 

#include <sam.h>
#include <arm_math.h>
#include "../Sam-base/RevolveDrivers/USART/usart_spi/usart_spi.h"
#include "../Sam-base/RevolveDrivers/xdmac_wrapper.h"
#include "../system_state.h"
#include "angleConversions.h"
#include "../Motor_control/motor.h"
#include "../Drivers/enDat.h"
#define ENCODER_NUM_BITS 18
#define ENCODER_MAX 262144

static const uint32_t encoder_out_data = 0;
static volatile uint32_t encoder_in_data_raw = 0;

void encoder_init(){
	enDat_init();
}

float32_t encoder_get_radians(uint32_t enc_pos){
	return (enc_pos * 2.0 * PI) / ENCODER_MAX;
}

float32_t encoder_get_degrees(uint32_t enc_pos){
	return (enc_pos * 360.0) / ENCODER_MAX;
}

void encoder_get_sin_cos(state_variables_t *state){
	state->electrical_degrees = angleConversions_encoderToEletricalDegrees(ENCODER_NUM_BITS, state->encoder_data, motor_get_parameter_ptr()->poles / 2);
	arm_sin_cos_f32(state->electrical_degrees, &(state->sin_val), &(state->cos_val));
}

void encoder_calc_speed(state_variables_t *state, uint32_t calling_frequency){
	state->speed = angleConversions_encoderToRPM(state->encoder_data, ENCODER_MAX, calling_frequency);
}

uint32_t encoder_get_data(){
	return enDat_getLastPositionData();
}