/*
 * sensors_current.c
 *
 * Created: 01.03.2016 13.27.22
 *  Author: Simen
 */ 

#include <sam.h>
#include <arm_math.h>

#define VS_MAX_VOLTAGE_ADC	3.3
#define VS_SENSOR_GAIN		1
#define VS_MAX_VALUE		4096/2

//Highest voltage in is below 1000V. 1000 000 can easily be represented by a 32 bit integer, and gives mV precission.

int32_t sensors_voltage_convert_to_mV(int16_t adc_data){
	return (1000 * adc_data * VS_MAX_VOLTAGE_ADC)/(VS_MAX_VOLTAGE_ADC * VS_SENSOR_GAIN);
}

float32_t sensors_voltage_convert_to_V(int16_t adc_data){
	return (adc_data * VS_MAX_VOLTAGE_ADC)/(VS_MAX_VOLTAGE_ADC * VS_SENSOR_GAIN);
}