/*
 * parameter_store.h
 *
 * Created: 07.03.2016 20.01.33
 *  Author: Simen
 */ 


#ifndef PARAMETER_STORE_H_
#define PARAMETER_STORE_H_

#define NUM_PARAMETERS 16

//Stored parameters
#define PARAMETER_VALID_DATA	(0)
#define PARAMETER_Speed_K_p		(1)
#define PARAMETER_Speed_K_i		(2)
#define PARAMETER_Speed_K_d		(3)
#define PARAMETER_Speed_K_a		(4)
#define PARAMETER_Q_K_p			(5)
#define PARAMETER_Q_K_i			(6)
#define PARAMETER_Q_K_d			(7)
#define PARAMETER_Q_K_a			(8)
#define PARAMETER_D_K_p			(9)
#define PARAMETER_D_K_i			(10)
#define PARAMETER_D_K_d			(11)
#define PARAMETER_D_K_a			(12)
#define PARAMETER_FW_K_p_up		(13)
#define PARAMETER_FW_K_p_dn		(14)
#define PARAMETER_INVID			(15)

#define PARAMETER_VALID_DATA_code 0xAA

void parameters_get_stored_data();
float32_t parameter_get(uint8_t parameter_ID);
void parameter_set( uint8_t parameter_id, float32_t parameter_data);
void parameters_update_and_transmit(state_variables_t *state);

#endif /* PARAMETER_STORE_H_ */