/*
 * system_state.h
 *
 * Created: 21.03.2016 12:00:57
 *  Author: simtind
 */ 


#ifndef SYSTEM_STATE_H_
#define SYSTEM_STATE_H_

#include <stdbool.h>

#include "Motor_control/pid.h"

typedef struct{
	Pid_data_t PID_reg_Q;
	Pid_data_t PID_reg_D;
	Pid_data_t PID_reg_speed;
	
	float32_t	field_weakening_gain_up;
	float32_t	field_weakening_gain_down;
	
	bool		use_mtpa;
	bool		voltage_saturation;
	
	float32_t	last_current_d;
	float32_t	last_current_q;
	float32_t	last_voltage_d;
	float32_t	last_voltage_q;
}Foc_data_t;

typedef struct{
	uint32_t inverter_ID;
	
	Foc_data_t regulator_data; 

	uint32_t  encoder_data;
	uint32_t  encoder_status;
	float32_t electrical_degrees;
	float32_t current_a;
	float32_t current_b;
	float32_t voltage_a;
	float32_t voltage_b;
	
	float32_t current_dc;
	float32_t voltage_dc;
	
	float32_t current_d;
	float32_t current_q;
	float32_t setpoint_d;
	float32_t setpoint_q;
	float32_t voltage_d;
	float32_t voltage_q;
	float32_t error_d;
	float32_t error_q;
	
	float32_t speed;
	float32_t speed_request;
	
	float32_t torque_request;
	float32_t max_torque;
	float32_t min_torque;
	
	float32_t sin_val;
	float32_t cos_val;
}state_variables_t;


#endif /* SYSTEM_STATE_H_ */